from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String, Int, File

Sra_Sort_Cg_2_V0_1_0 = CommandToolBuilder(tool="sra_sort_cg.2", base_command=["sra-sort-cg.2"], inputs=[ToolInput(tag="in_ignore_failure", input_type=Boolean(optional=True), prefix="--ignore-failure", doc=InputDocumentation(doc="ignore failure when sorting multiple objects\ni.e. continue in spite of previous errors")), ToolInput(tag="in_force", input_type=Boolean(optional=True), prefix="--force", doc=InputDocumentation(doc="force overwrite of existing destination")), ToolInput(tag="in_mem_limit", input_type=String(optional=True), prefix="--mem-limit", doc=InputDocumentation(doc="sets limit on dynamic memory usage")), ToolInput(tag="in_map_file_b_size", input_type=Int(optional=True), prefix="--map-file-bsize", doc=InputDocumentation(doc="sets id map-file cache size")), ToolInput(tag="in_max_idx_ids", input_type=Int(optional=True), prefix="--max-idx-ids", doc=InputDocumentation(doc="sets number of join-index ids to process at\na time")), ToolInput(tag="in_max_ref_idx_ids", input_type=Int(optional=True), prefix="--max-ref-idx-ids", doc=InputDocumentation(doc="sets number of join-index ids to process\nwithin REFERENCE table")), ToolInput(tag="in_max_large_idx_ids", input_type=Int(optional=True), prefix="--max-large-idx-ids", doc=InputDocumentation(doc="sets number of rows to process with large")), ToolInput(tag="in_mmap_dir", input_type=File(optional=True), prefix="--mmapdir", doc=InputDocumentation(doc="sets specific directory to use for\nmemory-mapped buffers")), ToolInput(tag="in_unsorted_old_new", input_type=Boolean(optional=True), prefix="--unsorted-old-new", doc=InputDocumentation(doc="write old=>new index in unsorted order")), ToolInput(tag="in_column_md_five", input_type=Boolean(optional=True), prefix="--column-md5", doc=InputDocumentation(doc="generate md5sum compatible checksum files\nfor each column [default]")), ToolInput(tag="in_no_column_checksum", input_type=Boolean(optional=True), prefix="--no-column-checksum", doc=InputDocumentation(doc="disable generation of column checksums")), ToolInput(tag="in_blob_crc_three_two", input_type=Boolean(optional=True), prefix="--blob-crc32", doc=InputDocumentation(doc="generate CRC32 checksums for each blob\n[default]")), ToolInput(tag="in_blob_md_five", input_type=Boolean(optional=True), prefix="--blob-md5", doc=InputDocumentation(doc="generate MD5 checksums for each blob")), ToolInput(tag="in_no_blob_checksum", input_type=Boolean(optional=True), prefix="--no-blob-checksum", doc=InputDocumentation(doc="disable generation of blob checksums")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_columns", input_type=String(), position=0, doc=InputDocumentation(doc="--tempdir <path-to-tmp>          sets specific directory to use for ")), ToolInput(tag="in_quit_dot", input_type=String(), position=0, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="sra-sort-cg.2 : 2.10.9"))], outputs=[], container="quay.io/biocontainers/sra-tools:2.10.9--pl526haddd2b5_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Sra_Sort_Cg_2_V0_1_0().translate("wdl")

